Bug 19332 - Basket grouping PDF and CSV exports empty
Summary: Basket grouping PDF and CSV exports empty
Status: Pushed to Stable
Alias: None
Product: Koha
Classification: Unclassified
Component: Acquisitions (show other bugs)
Version: master
Hardware: All All
: P1 - high critical (vote)
Assignee: Dobrica Pavlinusic
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on: 17196
Blocks:
  Show dependency treegraph
 
Reported: 2017-09-18 15:32 UTC by Dobrica Pavlinusic
Modified: 2017-10-17 07:15 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 19332 - Basket grouping PDF and CSV exports empty (1.05 KB, patch)
2017-09-18 15:39 UTC, Dobrica Pavlinusic
Details | Diff | Splinter Review
Bug 19332 - Basket grouping PDF and CSV exports empty (1.10 KB, patch)
2017-09-18 18:10 UTC, Lee Jamison
Details | Diff | Splinter Review
Bug 19332 - Basket grouping PDF and CSV exports empty (1.18 KB, patch)
2017-09-19 14:39 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Dobrica Pavlinusic 2017-09-18 15:32:16 UTC
Selecting any export from Basket grouping produces export with invalid empty data
Comment 1 Dobrica Pavlinusic 2017-09-18 15:39:00 UTC
Created attachment 67187 [details] [review]
Bug 19332 - Basket grouping PDF and CSV exports empty

This bug was introduced in commit 2bf3ce268de6bc8b2386cfb5d768f60b05d75f44
Bug 17196: [QA Follow-up] Additional fix on acqui/basketgroup
Comment 2 Lee Jamison 2017-09-18 18:10:45 UTC
Created attachment 67193 [details] [review]
Bug 19332 - Basket grouping PDF and CSV exports empty

This bug was introduced in commit 2bf3ce268de6bc8b2386cfb5d768f60b05d75f44
Bug 17196: [QA Follow-up] Additional fix on acqui/basketgroup

Signed-off-by: Lee Jamison <ldjamison@marywood.edu>
Comment 3 Jonathan Druart 2017-09-19 14:39:25 UTC
Created attachment 67216 [details] [review]
Bug 19332 - Basket grouping PDF and CSV exports empty

This bug was introduced in commit 2bf3ce268de6bc8b2386cfb5d768f60b05d75f44
Bug 17196: [QA Follow-up] Additional fix on acqui/basketgroup

Signed-off-by: Lee Jamison <ldjamison@marywood.edu>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 4 Jonathan Druart 2017-09-19 14:52:06 UTC
Pushed to master for 17.11, thanks to everybody involved!
Comment 5 Katrin Fischer 2017-09-19 21:16:16 UTC
This patch has been pushed to 16.11.x and will be in 16.11.12.
Comment 6 Katrin Fischer 2017-09-19 21:19:49 UTC
(In reply to Katrin Fischer from comment #5)
> This patch has been pushed to 16.11.x and will be in 16.11.12.

Sorry, not pushed, as it's not needed (marcxml not moved yet)
Comment 7 David Cook 2017-09-19 23:46:11 UTC
Noticed this problem in 17.05 the other day, so it would be great to get this backported!
Comment 8 Jonathan Druart 2017-09-20 13:54:51 UTC
(In reply to David Cook from comment #7)
> Noticed this problem in 17.05 the other day, so it would be great to get
> this backported!

So you should CC 17.05 RMaint to the bug or ping him on IRC
Comment 9 David Cook 2017-09-20 23:18:58 UTC
(In reply to Jonathan Druart from comment #8)
> (In reply to David Cook from comment #7)
> > Noticed this problem in 17.05 the other day, so it would be great to get
> > this backported!
> 
> So you should CC 17.05 RMaint to the bug or ping him on IRC

Makes sense! I didn't know that we were allowed to CC people. I'll do that from now on :).
Comment 10 Fridolin SOMERS 2017-10-17 07:15:10 UTC
Was pushed to 17.05.x, in 17.05.04.
I don't know why I forgot to change status.